import { FastifyReply, FastifyRequest } from 'fastify';
import { Model } from 'mongoose';
import { FastifyMongooseRestOptions } from '../types';
export declare function Delete<T>(basePath: string, model: Model<T>, options: FastifyMongooseRestOptions): {
    method: 'DELETE';
    url: string;
    schema: {
        summary: string;
        tags?: string[];
        params: object;
        response: object;
    };
    handler: (request: FastifyRequest<{
        Params: {
            id: string;
        };
    }>, reply: FastifyReply) => Promise<any>;
};
